Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Search

All Superinterfaces:
  Cloneable, Comparable, Serializable

All Known Implementing Classes:
  SearchImpl

Deprecated. Use `Search` instead.

public interface Search
extends Comparable, Cloneable, Serializable

This represents parameters for searching for objects, specifically Content objects.

Attribute: `maxReturn`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the maximum number of objects to return. It should 0 or less to specifying returning all objects that match, no matter how large.

Attribute: `sort`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the SQL ORDER BY-style clause the controlling the sorting on the return list. It is a comma-separated list of property names, each optionally appended with either "ASC" (ascending sort) or "DESC" (descending sort). For example, "creationDate ASC, mimeType DESC, identifier" would specify to sort ascending on on creationDate, to next sort descending on mimeType, and to finally sort ascending on identifier.

Attribute: `expression`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the Expression the objects must match against.

See Also:
  `SearchHome`, `SearchImpl`, `ExpressionHelper`

Method Summary
`Expression` | `getExpression()` Deprecated. Get the search expression.
`long` | `getMaxReturn()` Deprecated. Get the maximum number of objects to return.
`String` | `getSort()` Deprecated. Get the sort criteria.
`String` | `interfaceName()` Deprecated. Get the interface name.
`void` | `setByValue(Object val)` Deprecated. Set this object.
`void` | `setExpression(Expression expression)` Deprecated. Set the search expression.
`void` | `setMaxReturn(long maxReturn)` Deprecated. Set the maximum number of objects to return.
`void` | `setSort(String sort)` Deprecated. Set the sort criteria.
`Object` | `value()` Deprecated. Get a value object initialized from this.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### value

    public Object value()

  Deprecated.
  Get a value object initialized from this.

### setByValue

    public void setByValue(Object val)

  Deprecated.
  Set this object.

### interfaceName

    public String interfaceName()

  Deprecated.
  Get the interface name.

### getMaxReturn

    public long getMaxReturn()

  Deprecated.
  Get the maximum number of objects to return.

### setMaxReturn

    public void setMaxReturn(long maxReturn)

  Deprecated.
  Set the maximum number of objects to return.

### getSort

    public String getSort()

  Deprecated.
  Get the sort criteria.

### setSort

    public void setSort(String sort)

  Deprecated.
  Set the sort criteria.

### getExpression

    public Expression getExpression()

  Deprecated.
  Get the search expression.

### setExpression

    public void setExpression(Expression expression)

  Deprecated.
  Set the search expression.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved